refund_entry), identified by the rfe_ prefix. Its status moves through:| Status | Description |
|---|---|
processing | The refund has been accepted and its underlying payout is being executed. |
completed | The refund's payout has settled to the payer. |
failed | The refund's payout could not be completed. |
rejected | The refund's payout was rejected. |
waiting_for_information | Cobre is waiting for the payer to share and verify bank account and identification data (applies only to r2p_pse and r2p_bancolombia refunds). |
Authorization: Bearer ********************curl --location 'https://api.cobre.co/v1/refunds' \
--header 'Idempotency-Key: rf_mm_xOBCRu3PPAby6E_3f7a1e9c-6b2e-4b7a-9f2b-2c1e6b7a9f2b' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"original_payin_id": "mm_xOBCRu3PPAby6E",
"amount": 10000,
"description": "Refund requested by customer",
"redirect_url": "https://www.cobre.com/es-co"
}'{
"object": "refund_entry",
"livemode": true,
"request_id": "req_c6128219e24b49ijk",
"original_payin_id": "mm_E5KB6Xgl71234",
"description": "TESTS 26",
"data_capture_url": "https://link.cobre.co/xxxx",
"data_capture_expires_at": "2026-10-23T21:02:59.920269145Z",
"redirect_url": "https://www.cobre.com/es-co",
"amount": 100,
"status": {
"state": "processing",
"code": "",
"description": ""
},
"created_at": "2026-10-16T21:02:59.920269145Z",
"updated_at": "2026-10-16T21:03:00.827742323Z",
"id": "rfe_2b5fdab298cc0987"
}